Rotate Webhook Secret
POST
/api/v1/webhooks/{webhook_id}/rotate-secret
const url = 'https://api.qeychain.xyz/api/v1/webhooks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rotate-secret';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/webhooks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rotate-secretRotate the signing secret for a webhook.
The new secret is returned only once - store it securely! The old secret becomes invalid immediately.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”webhook_id
required
Webhook Id
string format: uuid
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Rotate Webhook Secret Api V1 Webhooks Webhook Id Rotate Secret Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}